
GetMidiDevicesDlg	PROTO	:HANDLE, :DWORD	;	DLL PROC - Handled by the folowing MACROs

InitMidiDevDll		MACRO
		invoke	GetModuleHandle, addr DevDLL
		mov		hDevDlg, eax
endm

UninitMidiDevDll	MACRO
		invoke	FreeLibrary, hDevDlg
endm

GetMidiDevices		MACRO
		invoke	GetMidiDevicesDlg, hDevDlg, addr MidiInDevice
endm

.data
hDevDlg			dd	0
MidiInDevice	dd	0
MidiOutDevice	dd	0
DevDLL			db	"MidiDevices.dll", 0

;					EXAMPLE:
;		InitMidiDevDll		;	Get MIDI Dialog DLL
;		GetMidiDevices		;	Open MIDI Devices Dialog
;		;	variable 'MidiInDevice' is currently selected MIDI In Device
;		;	variable 'MidiOutDevice' is currently selected MIDI Out Device
;		UninitMidiDevDll	;	Free MIDI Dialog DLL
